Skip to main content
GET
/
payment
/
checklist
Get Checklist
curl --request GET \
  --url https://api.example.com/payment/checklist \
  --header 'Authorization: Bearer <token>'
{
  "stripe_balance": 123,
  "recent": 123,
  "limit": 123,
  "suspend_reason": "balance",
  "email": false,
  "billing_address": false,
  "payment_method": false,
  "suspended": false,
  "overdue_invoices": 0,
  "last_checked": 0,
  "topup": false,
  "topup_amount": 0,
  "topup_threshold": 0,
  "topup_failed": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

compute_owed
boolean
default:false

Cookies

session
String

Response

Successful Response

stripe_balance
number
required

Negative value indicates funds ready-to-spend. Positive value indicates money owed

recent
number
required

usage since most recent invoice

limit
number | null
required
suspend_reason
enum<string> | null
required
Available options:
balance,
payment-method,
overdue-invoices,
limit-reached,
admin,
bad-cc
email
boolean
default:false
billing_address
boolean
default:false
payment_method
boolean
default:false
suspended
boolean
default:false
overdue_invoices
number
default:0
last_checked
integer
default:0
topup
boolean
default:false
topup_amount
integer
default:0
topup_threshold
integer
default:0
topup_failed
boolean
default:false